Loading...
Searching...
No Matches
volk_machine_defs.machine_class Class Reference

Inherits object.

## Public Member Functions

| __init__ (self, name, archs)
| __repr__ (self)

## Data Fields

| name = name
| archs = list()
| arch_names = list()
| alignment = max([a.alignment for a in self.archs])

## Constructor & Destructor Documentation

## __init__()

volk_machine_defs.machine_class.__init__ | ( |  | self,
|  |  | name,
|  |  | archs )

## Member Function Documentation

## __repr__()

volk_machine_defs.machine_class.__repr__ | ( |  | self | ) |

## Field Documentation

## alignment

volk_machine_defs.machine_class.alignment = max([a.alignment for a in self.archs])

## arch_names

volk_machine_defs.machine_class.arch_names = list()

## archs

volk_machine_defs.machine_class.archs = list()

## name

volk_machine_defs.machine_class.name = name